uniform extern samplerCUBE	cubeMap; //coverage

struct PSOutput
{
	float4 color:COLOR0;  // Pixel color
};

struct PSInput
{
	float4 position:POSITION;
	float3 reflected:TEXCOORD0;
};
	
PSOutput main( PSInput input )
{ 
	PSOutput output;
	
	//final color
	output.color = texCUBE(cubeMap, input.reflected);
	
	return output;
}

