#pragma once

#include <irrlicht.h>

using namespace irr;
using namespace core;
using namespace scene;
using namespace video;
using namespace io;

class CubemapTest: public video::IShaderConstantSetCallBack
{
public:
	CubemapTest(void);
	~CubemapTest(void);

	bool init();
	void run();

	virtual void OnSetConstants(video::IMaterialRendererServices* services, s32 userData);

private:
	void loadShaders();

	IrrlichtDevice* Device;
	IVideoDriver* Driver;
	ISceneManager* SceneManager;

	s32 Shader;
};
