uniform mat4	worldViewProj;  // World * View * Projection transformation
uniform vec3	cameraPosition;

varying vec3 reflected;

void main()
{	
	vec3 view = gl_Vertex.xyz - cameraPosition.xyz;
	reflected = reflect(view, gl_Normal);
	
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
}